package com.dev.swms.server.model.shipping;

import java.util.Date;
import java.util.Set;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Warehouse;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
/**
 * 库区类
 * @author  dev
 *
 */
public class PlanShipDetail extends Entity {
	//序号	供应商	门号	品番	产品名称	何姿	收容数	箱数	送货数量	登记日期	订单编号	备注	纳入指示日
	private static final long serialVersionUID = 5115139409255803447L;
	/** 序号 */
	private int xh=0;
	/** 所属仓库 */
	private Warehouse warehouse;
	/** 供应商 */
	private String gys;
	/** 门号 */
	private String mh;
	/** 品番 */
	private Item item;
	/** 何姿*/
	private String hz;
	/** 收容数 */
	private int srs=0;
	/** 箱数 */
	private int xs=0;
	/** 送货数量 */
	private int shsl=0;
	/** 登记日期 */
	private Date djrq;
	/** 订单编号*/
	private String ddbh;
	/** 备注 */
	private String remark;
	/** 纳入指示日 */
	private Date nrzsr;
	/** 创建人 */
	private String createBy;
	/** 创建时间 */
	private Date createDate;
	/** 原始条码 */
	private String key;
	/** 出库明细 */
	private PickTicketDetail ptd;
	/** 出库明细 */
	private PlanPickTicketDetail pptd;
	/** 修改时间 */
	private Date updateDate;
	
	public PlanPickTicketDetail getPptd() {
		return pptd;
	}
	public void setPptd(PlanPickTicketDetail pptd) {
		this.pptd = pptd;
	}
	public int getXh() {
		return xh;
	}
	public void setXh(int xh) {
		this.xh = xh;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public String getGys() {
		return gys;
	}
	public void setGys(String gys) {
		this.gys = gys;
	}
	public String getMh() {
		return mh;
	}
	public void setMh(String mh) {
		this.mh = mh;
	}
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public String getHz() {
		return hz;
	}
	public void setHz(String hz) {
		this.hz = hz;
	}
	public int getSrs() {
		return srs;
	}
	public void setSrs(int srs) {
		this.srs = srs;
	}
	public int getXs() {
		return xs;
	}
	public void setXs(int xs) {
		this.xs = xs;
	}
	public int getShsl() {
		return shsl;
	}
	public void setShsl(int shsl) {
		this.shsl = shsl;
	}
	public Date getDjrq() {
		return djrq;
	}
	public void setDjrq(Date djrq) {
		this.djrq = djrq;
	}
	public String getDdbh() {
		return ddbh;
	}
	public void setDdbh(String ddbh) {
		this.ddbh = ddbh;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public Date getNrzsr() {
		return nrzsr;
	}
	public void setNrzsr(Date nrzsr) {
		this.nrzsr = nrzsr;
	}
	public String getCreateBy() {
		return createBy;
	}
	public void setCreateBy(String createBy) {
		this.createBy = createBy;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public PickTicketDetail getPtd() {
		return ptd;
	}
	public void setPtd(PickTicketDetail ptd) {
		this.ptd = ptd;
	}
	public Date getUpdateDate() {
		return updateDate;
	}
	public void setUpdateDate(Date updateDate) {
		this.updateDate = updateDate;
	}
	
	
}
